/*
 * 	The Lestrade Search Library - Customization for Indexing of Songs
 *
 *	(c) 2005 Martin Mares <mj@ucw.cz>
 */

#include "ucw/lib.h"
#include "ucw/fastbuf.h"
#include "custom/custom.h"

s8 word_type_weights[WT_MAX] = { [WT_TEXT] = 10, [WT_TITLE] = 100, [WT_AUTHOR] = 50 };

void
dump_custom_index_hdr(struct fastbuf *out, struct custom_index_hdr *h, uns size)
{
  ASSERT(size == sizeof(*h));
  bprintf(out, "directory: %s\n", h->directory);
}

void
dump_struct_card_attrs(struct fastbuf *out, struct card_attrs *c)
{
  bprintf(out, "filename: %s\n", c->name);
}
